'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Badges provide quick visual identification for numeric values such as tallies and other quantities. They are not used
 * for anything other than integers. For statuses, use Lozenges. To call out tags or other high-visibility attributes,
 * use Labels.
 */
var AUIBadge = function (_React$Component) {
    _inherits(AUIBadge, _React$Component);

    function AUIBadge() {
        _classCallCheck(this, AUIBadge);

        return _possibleConstructorReturn(this, (AUIBadge.__proto__ || Object.getPrototypeOf(AUIBadge)).apply(this, arguments));
    }

    _createClass(AUIBadge, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'span',
                { className: 'aui-badge', id: this.props.id },
                this.props.text
            );
        }
    }]);

    return AUIBadge;
}(_react2.default.Component);

exports.default = AUIBadge;


AUIBadge.displayName = 'AUIBadge';

AUIBadge.propTypes = {
    /**
     * Visible text of the badge (usually a number).
     */
    text: _react2.default.PropTypes.string.isRequired,
    /**
     * ID attribute.
     */
    id: _react2.default.PropTypes.string
};