'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIBlanket = function AUIBlanket(props) {
    return _react2.default.createElement('div', { className: 'aui-blanket', tabIndex: '0', style: _extends({ zIndex: 2980 }, props.style), 'aria-hidden': false, onClick: props.onClick });
};

AUIBlanket.displayName = 'AUIBlanket';
AUIBlanket.propTypes = {
    /**
     * Custom style for the mask
     */
    style: _react.PropTypes.object,
    /**
     * Click event to trigger on an element
     */
    onClick: _react.PropTypes.func
};

exports.default = AUIBlanket;