"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIBreadcrumb = function AUIBreadcrumb(props) {
    return _react2.default.createElement(
        "li",
        null,
        _react2.default.createElement(
            "a",
            { href: "#" },
            _react2.default.createElement(
                "span",
                { className: "aui-nav-item-label" },
                props.children
            )
        )
    );
};

AUIBreadcrumb.displayName = 'AUIBreadcrumb';
AUIBreadcrumb.propTypes = {
    children: _react.PropTypes.element
};

exports.default = AUIBreadcrumb;