"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUINavGroup = function AUINavGroup(props) {
    return _react2.default.createElement(
        "nav",
        { className: "aui-navgroup aui-navgroup-vertical" },
        _react2.default.createElement(
            "div",
            { className: "aui-navgroup-inner" },
            props.children
        )
    );
};

AUINavGroup.displayName = 'AUINavGroup';
AUINavGroup.propTypes = {
    children: _react.PropTypes.node
};

exports.default = AUINavGroup;