'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUITable = function AUITable(props) {
    return _react2.default.createElement(
        'table',
        { className: 'aui' },
        props.children
    );
};

AUITable.displayName = 'AUITable';
AUITable.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.arrayOf(_react.PropTypes.element)])
};

exports.default = AUITable;