'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AUIApplicationLogo = require('./AUIApplicationLogo');

var _AUIApplicationLogo2 = _interopRequireDefault(_AUIApplicationLogo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUIApplicationHeader = function (_Component) {
    _inherits(AUIApplicationHeader, _Component);

    function AUIApplicationHeader() {
        _classCallCheck(this, AUIApplicationHeader);

        return _possibleConstructorReturn(this, (AUIApplicationHeader.__proto__ || Object.getPrototypeOf(AUIApplicationHeader)).apply(this, arguments));
    }

    _createClass(AUIApplicationHeader, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                'header',
                { id: 'header', role: 'banner' },
                _react2.default.createElement(
                    'nav',
                    { className: 'aui-header aui-dropdown2-trigger-group', 'data-aui-response': 'true', role: 'navigation' },
                    _react2.default.createElement(
                        'div',
                        { className: 'aui-header-inner' },
                        _react2.default.createElement(
                            'div',
                            { className: 'aui-header-primary' },
                            _react2.default.createElement(_AUIApplicationLogo2.default, { logo: this.props.logo, text: this.props.text, headerLink: this.props.headerLink ? this.props.headerLink : '/' }),
                            this.props.primaryContent
                        ),
                        _react2.default.createElement(
                            'div',
                            { className: 'aui-header-secondary' },
                            this.props.secondaryContent
                        )
                    )
                )
            );
        }
    }]);

    return AUIApplicationHeader;
}(_react.Component);

exports.default = AUIApplicationHeader;


AUIApplicationHeader.displayName = 'AUIApplicationHeader';
AUIApplicationHeader.propTypes = {
    logo: _react.PropTypes.oneOf(['aui', 'bamboo', 'bitbucket', 'confluence', 'crowd', 'fecru', 'hipchat', 'jira', 'stash']).isRequired,
    headerLink: _react.PropTypes.string,
    primaryContent: _react.PropTypes.element,
    secondaryContent: _react.PropTypes.string,
    text: _react.PropTypes.string
};