'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIBreadcrumbs = function AUIBreadcrumbs(props) {
    return _react2.default.createElement(
        'ol',
        { className: 'aui-nav aui-nav-breadcrumbs' },
        props.children
    );
};

AUIBreadcrumbs.displayName = 'AUIBreadcrumbs';
AUIBreadcrumbs.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string])
};

exports.default = AUIBreadcrumbs;