'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIFontIcon = function AUIFontIcon(props) {
    var classes = (0, _classnames2.default)('aui-icon', {
        'aui-icon-small': props.size === 'small'
    }, 'aui-iconfont-' + props.type);

    return _react2.default.createElement('span', _extends({ className: classes }, props));
};

AUIFontIcon.displayName = 'AUIFontIcon';
AUIFontIcon.propTypes = {
    size: _react2.default.PropTypes.oneOf(['small']),
    type: _react2.default.PropTypes.string,
    title: _react2.default.PropTypes.string
};

exports.default = AUIFontIcon;