'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUILabel = function AUILabel(props) {
    return _react2.default.createElement(
        'a',
        { className: 'aui-label' },
        props.children
    );
};

AUILabel.displayName = 'AUILabel';
AUILabel.propTypes = {
    children: _react.PropTypes.string
};

exports.default = AUILabel;