'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AUILozenge = function (_Component) {
    _inherits(AUILozenge, _Component);

    function AUILozenge() {
        _classCallCheck(this, AUILozenge);

        return _possibleConstructorReturn(this, (AUILozenge.__proto__ || Object.getPrototypeOf(AUILozenge)).apply(this, arguments));
    }

    _createClass(AUILozenge, [{
        key: 'render',
        value: function render() {
            var classes = (0, _classnames2.default)({
                'aui-lozenge': true,
                'aui-lozenge-subtle': this.props.subtle
            }, 'aui-lozenge-' + this.props.type);
            return _react2.default.createElement(
                'span',
                { className: classes },
                this.props.children
            );
        }
    }]);

    return AUILozenge;
}(_react.Component);

exports.default = AUILozenge;


AUILozenge.displayName = 'AUILozenge';

AUILozenge.propTypes = {
    type: _react.PropTypes.oneOf(['success', 'error', 'current', 'new', 'moved']),
    subtle: _react.PropTypes.bool,
    children: _react.PropTypes.string
};