"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUINavGroupHorizontal = function AUINavGroupHorizontal(props) {
    return _react2.default.createElement(
        "nav",
        { className: "aui-navgroup aui-navgroup-horizontal" },
        _react2.default.createElement(
            "div",
            { className: "aui-navgroup-inner" },
            _react2.default.createElement(
                "div",
                { className: "aui-navgroup-primary" },
                props.primary
            ),
            _react2.default.createElement(
                "div",
                { className: "aui-navgroup-secondary" },
                props.secondary
            )
        )
    );
};

AUINavGroupHorizontal.displayName = 'AUINavGroupHorizontal';
AUINavGroupHorizontal.propTypes = {
    primary: _react.PropTypes.element,
    secondary: _react.PropTypes.element
};

exports.default = AUINavGroupHorizontal;