'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUINavItem = function AUINavItem(props) {
    var classes = (0, _classnames2.default)({ 'aui-nav-selected': props.selected });
    return _react2.default.createElement(
        'li',
        { className: classes },
        _react2.default.createElement(
            'a',
            { href: props.href, className: 'aui-nav-item' },
            props.children
        )
    );
};

AUINavItem.displayName = 'AUINavItem';
AUINavItem.propTypes = {
    href: _react.PropTypes.string,
    selected: _react.PropTypes.bool,
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.string])
};

exports.default = AUINavItem;