'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _AUIPagePanel = require('./AUIPagePanel');

var _AUIPagePanel2 = _interopRequireDefault(_AUIPagePanel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIPageContent = function AUIPageContent(props) {
    return _react2.default.createElement(
        'section',
        { id: 'content', role: 'main', className: props.className },
        props.pageHeader,
        props.sidebar,
        _react2.default.createElement(
            _AUIPagePanel2.default,
            { nav: props.nav, aside: props.aside, style: props.style },
            props.children
        )
    );
};

AUIPageContent.displayName = 'AUIPageContent';
AUIPageContent.propTypes = {
    children: _react.PropTypes.oneOfType([_react.PropTypes.element, _react.PropTypes.arrayOf(_react.PropTypes.element)]),
    nav: _react.PropTypes.element,
    aside: _react.PropTypes.element,
    sidebar: _react.PropTypes.element,
    pageHeader: _react.PropTypes.element,
    style: _react.PropTypes.object,
    className: _react.PropTypes.string
};

exports.default = AUIPageContent;