"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIPageHeader = function AUIPageHeader(props) {
    return _react2.default.createElement(
        "header",
        { className: "aui-page-header" },
        _react2.default.createElement(
            "div",
            { className: "aui-page-header-inner" },
            props.headerImage,
            _react2.default.createElement(
                "div",
                { className: "aui-page-header-main" },
                _react2.default.createElement(
                    "h1",
                    null,
                    props.headerText
                ),
                props.breadcrumb
            )
        )
    );
};

AUIPageHeader.displayName = 'AUIPageHeader';
AUIPageHeader.propTypes = {
    headerText: _react.PropTypes.string,
    headerImage: _react.PropTypes.element,
    breadcrumb: _react2.default.PropTypes.element
};

exports.default = AUIPageHeader;