"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AUIPageHeaderImage = function AUIPageHeaderImage(props) {
    return _react2.default.createElement(
        "div",
        { className: "aui-page-header-image" },
        _react2.default.createElement(
            "span",
            { className: "aui-avatar aui-avatar-large aui-avatar-project" },
            _react2.default.createElement(
                "span",
                { className: "aui-avatar-inner" },
                props.children
            )
        )
    );
};

AUIPageHeaderImage.displayName = 'AUIPageHeaderImage';
AUIPageHeaderImage.propTypes = {
    children: _react.PropTypes.element
};

exports.default = AUIPageHeaderImage;